# Method: accounts.homepage.updateHomepage

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.homepage/updateHomepage#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.homepage/updateHomepage#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.homepage/updateHomepage#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.homepage/updateHomepage#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.homepage/updateHomepage#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.homepage/updateHomepage#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.homepage/updateHomepage#try-it)

Updates a store's homepage. Executing this method requires admin access.

### HTTP request

`PATCH https://merchantapi.googleapis.com/accounts/v1alpha/{homepage.name=accounts/*/homepage}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `homepage.name` | `string` Identifier. The resource name of the store's homepage. Format: `accounts/{account}/homepage` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. List of fields being updated. The following fields are supported (in both `snake_case` and `lowerCamelCase`): - `uri` |

### Request body

The request body contains an instance of `https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.homepage#Homepage`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.homepage#Homepage`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).